> For the complete documentation index, see [llms.txt](https://docs.fluidplayer.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fluidplayer.com/es/integracion/using-fluid-player-with-react.md).

# Usando Fluid Player con React

Fluid Player funciona con React de forma inmediata. Para empezar a usar Fluid Player en tu proyecto de React, necesitarás:

* instalar Fluid Player usando Yarn o NPM como se indica [aquí](/es/integracion/quick-setup.md#integration-using-npm); y
* importar el módulo de Fluid Player y asociarlo al elemento de video que elijas.

Puedes ver un ejemplo de cómo integrar Fluid Player y React en el siguiente ejemplo. Este es un ejemplo simplificado para que empieces rápidamente. Sigue las mejores prácticas de React sobre cómo crear componentes reutilizables según las necesidades de tu proyecto.

**IMPORTANTE:** no se admite el cambio dinámico de स्रोत. Tú **debes** redibujar el componente O volver a crear la instancia de Fluid Player para cambiar las fuentes u otra configuración del reproductor.

#### App.css

```css
@import "~fluid-player/src/css/fluidplayer.css";
```

#### App.js

```jsx
import fluidPlayer from 'fluid-player'
import './App.css';
import {useEffect, useRef} from "react";

function App() {
  let self = useRef(null);
  let player = null;

  useEffect(() => {
      if (!player) {
        player = fluidPlayer(self.current, {});
      }
  });

  return (
      <>
        <video ref={self}>
          <source src='https://cdn.fluidplayer.com/videos/valerian-1080p.mkv'
                  data-fluid-hd
                  title='1080p'
                  type='video/mp4'/>
        </video>
      </>
  );
}

export default App;
```

**Nota**: Safari no admite la reproducción de archivos .mkv. Para ver este tipo de archivo, considera usar otro navegador que admita el formato .mkv.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fluidplayer.com/es/integracion/using-fluid-player-with-react.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
